summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatsuu Takuto <matsuu@gentoo.org>2010-02-10 16:40:43 +0000
committerMatsuu Takuto <matsuu@gentoo.org>2010-02-10 16:40:43 +0000
commit222326de1c9e8e66847ef560113fbcd60a4eab0a (patch)
tree5941ebd841cc82c77aef3cbf9d5697cf013665ba /www-apps/redmine/files
parentStable for HPPA (bug #303929). (diff)
downloadhistorical-222326de1c9e8e66847ef560113fbcd60a4eab0a.tar.gz
historical-222326de1c9e8e66847ef560113fbcd60a4eab0a.tar.bz2
historical-222326de1c9e8e66847ef560113fbcd60a4eab0a.zip
Initial import, bug #260575.
Package-Manager: portage-2.1.7.17/cvs/Linux x86_64
Diffstat (limited to 'www-apps/redmine/files')
-rw-r--r--www-apps/redmine/files/10_redmine_vhost.conf12
-rw-r--r--www-apps/redmine/files/redmine.confd13
-rw-r--r--www-apps/redmine/files/redmine.initd35
3 files changed, 60 insertions, 0 deletions
diff --git a/www-apps/redmine/files/10_redmine_vhost.conf b/www-apps/redmine/files/10_redmine_vhost.conf
new file mode 100644
index 000000000000..33a117a91e52
--- /dev/null
+++ b/www-apps/redmine/files/10_redmine_vhost.conf
@@ -0,0 +1,12 @@
+<IfModule passenger_module>
+Listen 3000
+<VirtualHost *:3000>
+ DocumentRoot /var/lib/redmine/public
+# RailsEnv production
+ <Directory "/var/lib/redmine/public">
+ Options FollowSymLinks
+ Order allow,deny
+ Allow from all
+ </Directory>
+</VirtualHost>
+</IfModule>
diff --git a/www-apps/redmine/files/redmine.confd b/www-apps/redmine/files/redmine.confd
new file mode 100644
index 000000000000..1c3830a09b07
--- /dev/null
+++ b/www-apps/redmine/files/redmine.confd
@@ -0,0 +1,13 @@
+# /etc/conf.d/redmine: config file for /etc/init.d/redmine
+# Bind to specified address
+# You can set to 0.0.0.0 to accept requests anywhere
+#REDMINE_ADDRESS="localhost"
+
+# Port
+#REDMINE_PORT=3000
+
+# RAILS_ENV
+#RAILS_ENV=production
+
+# additional opts
+#REDMINE_OPTS=""
diff --git a/www-apps/redmine/files/redmine.initd b/www-apps/redmine/files/redmine.initd
new file mode 100644
index 000000000000..4a50de57aa9a
--- /dev/null
+++ b/www-apps/redmine/files/redmine.initd
@@ -0,0 +1,35 @@
+#!/sbin/runscript
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/www-apps/redmine/files/redmine.initd,v 1.1 2010/02/10 16:40:42 matsuu Exp $
+
+RAILS_ENV=${RAILS_ENV:-production}
+REDMINE_DIR=${REDMINE_DIR:-/var/lib/redmine}
+REDMINE_ADDRESS=${REDMINE_ADDRESS:-localhost}
+REDMINE_PORT=${REDMINE_PORT:-3000}
+REDMINE_USER=${REDMINE_USER:-redmine}
+REDMINE_GROUP=${REDMINE_GROUP:-redmine}
+REDMINE_PIDFILE="${REDMINE_DIR}/tmp/pids/server.pid"
+
+depend() {
+ use apache2 git-daemon mysql net postgresql svnserve
+}
+
+start() {
+ ebegin "Starting redmine"
+ cd "${REDMINE_DIR}"
+ start-stop-daemon --start --quiet --chuid ${REDMINE_USER}:${REDMINE_GROUP} \
+ --pidfile "${REDMINE_PIDFILE}" \
+ --exec /usr/bin/ruby "${REDMINE_DIR}"/script/server -- \
+ --daemon --environment=${RAILS_ENV} \
+ --binding=${REDMINE_ADDRESS} --port=${REDMINE_PORT} \
+ ${REDMINE_OPTS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping redmine"
+ cd "${REDMINE_DIR}"
+ start-stop-daemon --stop --quiet --pidfile "${REDMINE_PIDFILE}"
+ eend $?
+}